package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 推广者获得奖品名细子单 服务类
* </p>
*
* @author quyixiao
* @since 2025-10-25
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvPromoterAwardLineDao;
import com.heyu.api.data.entity.vv.VvPromoterAwardLineEntity;
import com.heyu.api.data.service.vv.VvPromoterAwardLineService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvPromoterAwardLineServiceImpl extends ServiceImpl<VvPromoterAwardLineDao, VvPromoterAwardLineEntity> implements VvPromoterAwardLineService {


    @Autowired
	private VvPromoterAwardLineDao vvPromoterAwardLineDao;



	@Override
	public VvPromoterAwardLineEntity selectVvPromoterAwardLineById(Long id){
		return vvPromoterAwardLineDao.selectVvPromoterAwardLineById(id);
	}



	@Override
	public Long insertVvPromoterAwardLine(VvPromoterAwardLineEntity vvPromoterAwardLine){
		return vvPromoterAwardLineDao.insertVvPromoterAwardLine(vvPromoterAwardLine);
	}



	@Override
	public Long insertOrUpdateVvPromoterAwardLine(VvPromoterAwardLineEntity vvPromoterAwardLine){
		return vvPromoterAwardLineDao.insertOrUpdateVvPromoterAwardLine(vvPromoterAwardLine);
	}



	@Override
	public int updateVvPromoterAwardLineById(VvPromoterAwardLineEntity vvPromoterAwardLine){
		return vvPromoterAwardLineDao.updateVvPromoterAwardLineById(vvPromoterAwardLine);
	}



	@Override
	public int updateCoverVvPromoterAwardLineById(VvPromoterAwardLineEntity vvPromoterAwardLine){
		return vvPromoterAwardLineDao.updateCoverVvPromoterAwardLineById(vvPromoterAwardLine);
	}



	@Override
	public int deleteVvPromoterAwardLineById(Long id){
		return vvPromoterAwardLineDao.deleteVvPromoterAwardLineById(id);
	}



}
